- Merge Review cleanup (rh#226229)

This commit is contained in:
paragn 2010-09-03 10:06:01 +05:30
parent 7fd7159d05
commit 027d0fda3d

View File

@ -9,7 +9,7 @@
Summary: System for layout and rendering of internationalized text
Name: pango
Version: 1.28.1
Release: 4%{?dist}
Release: 5%{?dist}
License: LGPLv2+
Group: System Environment/Libraries
#VCS: git:git://git.gnome.org/pango
@ -80,8 +80,9 @@ for the pango package.
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; CONFIGFLAGS=--enable-gtk-doc; fi;
%configure $CONFIGFLAGS \
--enable-doc-cross-references \
--with-included-modules=basic-fc )
make
--with-included-modules=basic-fc )
make %{?_smp_mflags}
%install
@ -110,7 +111,7 @@ if test "x$compile_host" != "x$host" ; then
echo 1>&2 "Host mismatch: compile='$compile_host', spec file='$host'" && exit 1
fi
%makeinstall
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
# Remove files that should not be packaged
rm $RPM_BUILD_ROOT%{_libdir}/*.la
@ -135,7 +136,6 @@ case "$host" in
;;
esac
rm $RPM_BUILD_ROOT%{_sysconfdir}/pango/pango.modules
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pango/$host
touch $RPM_BUILD_ROOT%{_sysconfdir}/pango/$host/pango.modules
@ -207,16 +207,15 @@ esac
fi
%files -f modules.files
%defattr(-, root, root)
%defattr(-, root, root,-)
%doc README AUTHORS COPYING NEWS
%doc pango-view/HELLO.txt
%{_libdir}/libpango*-*.so.*
%{_bindir}/pango-querymodules*
%{_bindir}/pango-view
%{_datadir}/man/man1/pango-view.1.gz
%{_mandir}/man1/pango-view.1.gz
%{_mandir}/man1/pango-querymodules.1.gz
%{_libdir}/pango
%doc %{_mandir}/man1/*
%dir %{_sysconfdir}/pango
%config %{_sysconfdir}/pango/pangox.aliases
%{_libdir}/girepository-1.0/Pango-1.0.typelib
@ -226,7 +225,7 @@ fi
%files devel
%defattr(-, root, root)
%defattr(-, root, root,-)
%{_libdir}/libpango*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
@ -238,6 +237,9 @@ fi
%changelog
* Fri Sep 03 2010 Parag Nemade <paragn AT fedoraproject.org> - 1.28.1-5
- Merge Review cleanup (rh#226229)
* Thu Jul 15 2010 Colin Walters <walters@verbum.org> - 1.28.1-4
- Rebuild for new gobject-introspection
@ -505,7 +507,7 @@ fi
- Remove "static libs" from -devel description, since we don't ship them.
* Fri Jan 12 2007 Behdad Esfahbod <besfahbo@redhat.com> - 1.15.3-5
- Require pango = %{version}-%{release} in devel (previously didn't have
- Require pango = %%{version}-%%{release} in devel (previously didn't have
releaes).
* Thu Jan 11 2007 Behdad Esfahbod <besfahbo@redhat.com> - 1.15.3-4